Subject: Re: bug#66136: 29.1; byte-compiler reports "misplaced interactive spec" with empty fct in lexical environment

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Sep 2023 15:01:44 -0400

> That is true, but some of the declarations might be useful for lambda
> expressions as well, and more to the point, we don't have any other way to
> annotate functions in general, only function symbols.

FWIW, `set-advertised-calling-convention` stores the info with the
actual function (in an `eq` has-table) rather than as symbol property.

> Arguably we should invent new syntax for whatever we need, but it
> would be one more thing to parse.

I seem to remember trying to share `declare` for both (i.e. leave the
entries not handled by `defmacro/defun` in the `lambda`), but I think
I didn't spend very much time on this for lack of a good use-case.

        Stefan